Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.language.java
[Java] Interface JavaSourceSet

    org.gradle.api.Buildable
      org.gradle.language.base.LanguageSourceSet
          org.gradle.language.java.JavaSourceSet
              org.gradle.api.Named

All Superinterfaces:
  Buildable, LanguageSourceSet, Named

    @Incubating
    public interface JavaSourceSet
    extends LanguageSourceSet

A set of sources passed to the Java compiler.

Method Summary
`Classpath` | `getCompileClasspath()`

Methods inherited from interface LanguageSourceSet
getSource, source

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface Named
getName

Method Detail

### getCompileClasspath

    public Classpath getCompileClasspath()

Gradle API 1.10